fix docker build

Change-Id: I303dd37e80c0b520ab605f79021c81a8c17b4438
diff --git a/horizon/files/entrypoint.sh b/horizon/files/entrypoint.sh
index c5640d8..9bf2da5 100644
--- a/horizon/files/entrypoint.sh
+++ b/horizon/files/entrypoint.sh
@@ -6,9 +6,7 @@
 
 salt-call --local --retcode-passthrough state.highstate
 
-{% for service in server.service %}
-service {{ service }} stop || true
-{% endfor %}
+service {{ server.service }} stop || true
 
 export APACHE_RUN_USER=horizon
 export APACHE_RUN_GROUP=horizon
@@ -17,7 +15,7 @@
 export APACHE_LOCK_DIR=/var/lock/apache2
 export APACHE_LOG_DIR=/var/log/apache2
 
-su horizon --shell=/bin/sh -c 'apachectl -DFOREGROUND'
+apachectl -DFOREGROUND
 
 {#-
 vim: syntax=jinja
diff --git a/horizon/map.jinja b/horizon/map.jinja
index e7593f8..761f378 100644
--- a/horizon/map.jinja
+++ b/horizon/map.jinja
@@ -1,6 +1,6 @@
 {% set server = salt['grains.filter_by']({
     'Debian': {
-        'pkgs': ['apache2', 'openstack-dashboard', 'python-lesscpy', 'python-memcache'],
+        'pkgs': ['apache2', 'openstack-dashboard', 'python-lesscpy', 'python-memcache', 'gettext-base'],
         'pkgs_multi': ['python-memcache', 'python-psycopg2', 'python-imaging',
             'python-docutils', 'python-simplejson', 'build-essential',
             'libxslt1-dev', 'libxml2-dev', 'libffi-dev', 'libssl-dev',